/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2013 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

  --
  -- Local constants and variables
  --
  l_sql varchar2(32000);

BEGIN

  --
  -- Register Query EmployeeCenter Views service
  --
  l_sql :=
'          SELECT xxas_emp_export_pkg.get_xdo_export_options
                      (:pDatadefinitionApp
                      ,:pDatadefinitionCode) export
           FROM dual';

  xxas_com_sr_pkg.seed_query_service
    (p_service_name      => 'QueryExportOptions'
    ,p_securing_function => 'XXAS_SRV_Q_EXP_OPT_PERM'
    ,p_sql               => l_sql
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pDatadefinitionApp' , xxas_com_sr_pkg.g_VARCHAR2)
                              ,xxas_com_sr_param_type('pDatadefinitionCode', xxas_com_sr_pkg.g_VARCHAR2)
                              ));

END;
/
COMMIT;
EXIT;
